Skip to main content
Prerequisite: In order to run the collection below, a host URL is required, which will be provided by Cynopsis. This can then be set as a global variable or in the environment created for Athena in the Introduction section.
This documentation covers two methods for obtaining authentication tokens:
  1. Amazon Cognito User Pools API: The original method for getting tokens via Cognito.
  2. CRM System API: A newer method for getting tokens directly via the CRM.

Method 1: Using Amazon Cognito User Pools API

To get a Cognito access token, we are using the Amazon Cognito User Pools API. Postman Authentication Service Collection

Health Check of the Authentication API Service

Sample HTTP Response

Get Access Token by Username

To generate a token, please make an API call to the following API.

Requirements

For the credentials required below, Cynopsis will advise.
  • username
  • password
  • user_pool_id
  • client_id
Sample HTTP Request
Sample HTTP Response

Get Refresh Token

Sample HTTP Request Same requirements as the Get Access Token by Username endpoint.
Sample HTTP Response

Get Access Token by Refresh Token

Sample HTTP Request Make an API call to the above API and then use that refresh token in this API along with the client ID.
Sample HTTP Response

Authenticate Token

To authenticate a token, make an API call to the following API.
Sample HTTP Request
Sample HTTP Response For security reasons, the properties of the response body have been set to an empty string.

Method 2: Using the CRM System API

This method allows you to get access and refresh tokens directly from the CRM system.

Get Access Token and Refresh Token by Username and Password on CRM

To generate a token and refresh token, please make an API call to the following endpoint.

Requirements

For the credentials required below, Cynopsis will advise.
  • grant_type
  • client_id
  • username
  • password
Sample HTTP Request
Sample CURL Request
Sample HTTP Response

Get Access Token by Refresh Token (CRM)

Make an API call to the above API and then use that refresh token in this API along with the client ID. Sample HTTP Request
Sample CURL Request
Sample HTTP Response

Note: Choose the authentication method that best fits your integration needs. Both methods provide secure access to Athena services, with the CRM method offering a more direct token generation approach.